#include "pairwisealignment.h"

PairwiseAlignment::PairwiseAlignment(const Sequence& first, 
				     const Sequence& second,
				     int* firstImg, int* secondImg) {
  firstImage.resize(first.size()+1);
  for(size_type i = 0; i <= first.size(); i++) {
    if(firstImg[i] >= 0) {
      firstImage[i] = firstImg[i];
    }
    else {
      firstImage[i] = 0;
    }
  }
  secondImage.resize(second.size()+1);
  for(size_type i = 0; i <= second.size(); i++) {
    if(secondImg[i] >= 0) {
      secondImage[i] = secondImg[i];
    }
    else {
      secondImage[i] = 0;
    }
  }
  firstSeq  = new Sequence(first);
  secondSeq = new Sequence(second);
}

PairwiseAlignment::iterator PairwiseAlignment::firstImageBegin() const 
{
  return firstImage.begin();
}

PairwiseAlignment::iterator PairwiseAlignment::firstImageEnd() const
{
  return firstImage.end();
}

Sequence::size_type PairwiseAlignment::firstImageGet(size_type pos) const 
{
  return firstImage[pos];
}

PairwiseAlignment::iterator PairwiseAlignment::secondImageBegin() const
{
  return secondImage.begin();
}

PairwiseAlignment::iterator PairwiseAlignment::secondImageEnd() const
{
  return secondImage.end();
}

Sequence::size_type PairwiseAlignment::secondImageGet(size_type pos) const 
{
  return secondImage[pos];
}

PairwiseAlignment::size_type PairwiseAlignment::firstImageSize() const {
  return firstImage.size();
}

PairwiseAlignment::size_type PairwiseAlignment::secondImageSize() const {
  return secondImage.size();
}

Sequence const* PairwiseAlignment::firstSequence() const {
  return firstSeq;
}

Sequence const* PairwiseAlignment::secondSequence() const {
  return secondSeq;
}



